小百科,大世界
首页 / 计算机 / 最新漏洞

Ollama 目录遍历致代码执行漏洞CVE-202 繁體

高危 Ollama 目录遍历致代码执行漏洞(CVE-2024-37032)

CVE编号

CVE-2024-37032

利用情况

暂无

补丁情况

官方补丁

披露时间

2024-06-25

漏洞描述

Ollama 是一款开源 AI 模型项目,可方便打包,加快部署 AI 模型流程。2024年6月24日,互联网上披露 CVE-2024-37032 Ollama 目录遍历致代码执行漏洞。由于通常情况下Ollama没有认证授权,攻击者可利用相关API结合目录遍历漏洞造成远程代码执行,控制服务器。官方已经发布0.1.34修复该漏洞,建议升级至0.1.34 及其以上版本。

解决建议

官方已经发布0.1.34修复该漏洞,建议升级至0.1.34 及其以上版本。

参考链接
/ollama/ollama/blob/adeb40eaf29039b8964425f69a9315f9f1694ba...
/ollama/ollama/compare/v0.1.33...v0.1.34
/ollama/ollama/pull/4175
https://www.wiz.io/blog/probllama-ollama-vulnerability-cve-2024-37032

阿里云评分

8.1

  • 攻击路径

    远程

  • 攻击复杂度

    容易

  • 权限要求

    无需权限

  • 影响范围

    全局影响

  • EXP成熟度

    未验证

  • 补丁情况

    官方补丁

  • 数据保密性

    数据泄露

  • 数据完整性

    传输被破坏

  • 服务器危害

    服务器失陷

  • 全网数量

    N/A

CWE-ID 漏洞类型

阿里云安全产品覆盖情况

[来源: 阿里云]

首页 / 计算机 / 最新漏洞
相关连接:
Prev:
Broadcom建议针对严重的VMware vCe
Apache Kafka UI代码执行漏洞CVE2
Triton Inference Server 远
Next:
OpenSSH Server 远程代码执行漏洞CV
GeoServer property 表达式注入代
OpenSSH中的严重漏洞导致数百万台服务器受到影
7-Zip悄悄修复了一个安全漏洞CVE-2023-
微软补丁星期二微软修复了142个严重漏洞
资源来自网络,仅供参考